com.fasterxml.jackson.databind.ser

## Class AnyGetterWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.AnyGetterWriter

    public class AnyGetterWriter
    extends Object

Class similar to `BeanPropertyWriter`, but that will be used for serializing `JsonAnyGetter` annotated (Map) properties

### Field Summary

Fields
`protected AnnotatedMember` `_accessor` Method (or field) that represents the "any getter"
`protected BeanProperty` `_property`
`protected MapSerializer` `_serializer`

### Constructor Summary

Constructors
Constructor and Description
`AnyGetterWriter(BeanProperty property, AnnotatedMember accessor, MapSerializer serializer)`

### Method Summary

Methods
`void` `getAndFilter(Object bean, JsonGenerator jgen, SerializerProvider provider, PropertyFilter filter)`
`void` `getAndSerialize(Object bean, JsonGenerator jgen, SerializerProvider provider)`
`void` `resolve(SerializerProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _property

    protected final BeanProperty _property

#### _accessor

    protected final AnnotatedMember _accessor

Method (or field) that represents the "any getter"

#### _serializer

    protected MapSerializer _serializer

### Constructor Detail

#### AnyGetterWriter

    public AnyGetterWriter(BeanProperty property,
                   AnnotatedMember accessor,
                   MapSerializer serializer)

### Method Detail

#### getAndSerialize

    public void getAndSerialize(Object bean,
                       JsonGenerator jgen,
                       SerializerProvider provider)
                         throws Exception

Throws:
  `Exception`

#### getAndFilter

    public void getAndFilter(Object bean,
                    JsonGenerator jgen,
                    SerializerProvider provider,
                    PropertyFilter filter)
                      throws Exception

Throws:
  `Exception`
Since:
  2.3

#### resolve

    public void resolve(SerializerProvider provider)
                 throws JsonMappingException

Throws:
  `JsonMappingException`